Skip to main content
GET
/
v2
/
external
/
contacts
/
{externalId}
Get contact by external ID
curl --request GET \
  --url https://api.telli.com/v2/external/contacts/{externalId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.telli.com/v2/external/contacts/{externalId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.telli.com/v2/external/contacts/{externalId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<unknown>",
  "externalId": "<string>",
  "externalUrl": "<string>",
  "salutation": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "phoneNumber": "<string>",
  "timezoneIana": "<string>",
  "email": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "properties": [
    {
      "key": "<string>",
      "value": "<unknown>",
      "label": "<string>",
      "options": [
        {
          "value": "<string>",
          "label": "<string>",
          "description": "<string>"
        }
      ]
    }
  ]
}
{
  "defined": "<unknown>",
  "code": "<unknown>",
  "status": "<unknown>",
  "message": "API key is missing or invalid",
  "data": "<unknown>"
}
{
  "defined": "<unknown>",
  "code": "<unknown>",
  "status": "<unknown>",
  "message": "Contact not found",
  "data": {
    "externalId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Use your telli API key as the bearer token.

Path Parameters

externalId
string
required
Minimum string length: 1

Response

OK

id
string<uuid>
required
type
any
required
externalId
string | null
required
externalUrl
string | null
required
salutation
string | null
required
firstName
string
required
lastName
string
required
phoneNumber
string
required
timezoneIana
string | null
required
email
string | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
properties
object[]
required